<?xml version="1.0" encoding="UTF-8"?>
<!-- This is the XSL to render the xsl page to set controller mode attributes.  The associated web plugin is the ControllerExecWebPlugin. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<!-- Include some common templates created by SS -->
	<xsl:import href="Utils.xsl"/>
	
	<xsl:variable name="GLOBAL_VAR_PersonalityState">
		<xsl:choose>
			  <xsl:when test="/OMA/Controllers/DCStorageObject/PersonalityState and /OMA/Controllers/DCStorageObject/PersonalityState = '2'">2</xsl:when>
			  <xsl:when test="/OMA/Controllers/DCStorageObject/PersonalityState and /OMA/Controllers/DCStorageObject/PersonalityState = '8'">8</xsl:when>
			  <xsl:otherwise>1</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="GLOBAL_VAR_NumVirtualDisks"><xsl:value-of select="count(//VirtualDisks/DCStorageObject)"/></xsl:variable>
	<xsl:variable name="GLOBAL_VAR_NumEPDPTs">
		<xsl:choose>
			<xsl:when test="substring(/OMA/Controllers/DCStorageObject/AttributesMask1,26,1)='1' ">1</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="GLOBAL_VAR_isPreservedCacheStatusYes">
		<xsl:choose>
			<xsl:when test="/OMA/Controllers/DCStorageObject/PreserveCacheStatus and /OMA/Controllers/DCStorageObject/PreserveCacheStatus = '1' ">1</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="GLOBAL_VAR_isForeignConfigExists">
		<xsl:choose>
			<xsl:when test="substring(/OMA/Controllers/DCStorageObject/CurrentMethodMask,3,1)='1' ">1</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="GLOBAL_VAR_EncryptionKeyStatus">
		<xsl:choose>
			<xsl:when test="substring(/OMA/Controllers/DCStorageObject/AttributesMask,8,1)='1' and substring(/OMA/Controllers/DCStorageObject/AttributesMask,9,1)='1' ">1</xsl:when>
			<!--xsl:when test="substring(/OMA/Controllers/DCStorageObject/AttributesMask,8,1)='0' and substring(/OMA/Controllers/DCStorageObject/AttributesMask,9,1)='1'"><xsl:value-of select="$strNo"/></xsl:when-->
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:variable name="GLOBAL_VAR_ISHOTSPAREASSIGNED">
		<xsl:choose>
			<xsl:when test="(count(/OMA/ArrayDisks/DCStorageObject[substring(AttributesMask ,25,1) = '1']) != 0)">1</xsl:when>
			<xsl:when test="(count(/OMA/ArrayDisks/DCStorageObject[substring(AttributesMask ,24,1) = '1']) != 0)">1</xsl:when>
			<xsl:otherwise>0</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<xsl:template match="OMA">
		<!--xsl:call-template name="scripts"/-->
		<DataArea printable="false" email="false" validate="true" Refresh="false" exportdata="false" onLoad="true">
			<xsl:attribute name="submit">./SubmitForm?plugin=com.dell.sm.webplugins.ControllerExecWebPlugin&amp;ControllerOID=<xsl:value-of select="ControllerOID"/>&amp;ControllerName=<xsl:value-of select="ControllerName"/>&amp;Action=<xsl:value-of select="Action"/>&amp;help=cnprin&amp;OrigUrl=<xsl:value-of select="OrigUrl"/></xsl:attribute>
			<xsl:attribute name="submitdisplay"><xsl:value-of select="$strApply"/></xsl:attribute>

			<xsl:variable name="dfltBkPg">./DataArea?plugin=com.dell.sm.webplugins.ControllerInfoWebPlugin&amp;ControllerOID=<xsl:value-of select="ControllerOID"/>&amp;ControllerName=<xsl:value-of select="ControllerName"/>&amp;help=cnprin</xsl:variable >
			<xsl:attribute name="backpagedisplayfull"><xsl:value-of select="$strPrevPage"/></xsl:attribute>
			<xsl:attribute name="backpagetarget"><xsl:call-template name="BackPage"><xsl:with-param name="defaultBackPage" select="$dfltBkPg"/></xsl:call-template></xsl:attribute>

			<PageTitle>
				<xsl:attribute name="display">
					<xsl:value-of select="$strTitlePart1"/>
					<xsl:value-of select="$strFor"/>
					<xsl:value-of select="ControllerName"/>
					<xsl:value-of select="$strTitlePart2"/>
				</xsl:attribute>
			</PageTitle>
			<xsl:call-template name="SetControllerMode"/>
		</DataArea>
	</xsl:template>
	<xsl:template name="SetControllerMode">
		<ComboData>
			<ListData>
				<Data name="currentmode" editable="false" type="ustring" align="right">
					<xsl:attribute name="display">
						<xsl:value-of select="$strCurrentControllerMode"/>
					</xsl:attribute>
					<xsl:attribute name="value">
						<xsl:choose>
							<xsl:when test=" $GLOBAL_VAR_PersonalityState = '2'">
								<xsl:value-of select="$strHBA"/>
							</xsl:when>
							<xsl:when test=" $GLOBAL_VAR_PersonalityState = '8'">
								<xsl:value-of select="$strEnhancedHBA"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$strRAID"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
				</Data>
			</ListData>
			<TableData>
				<SubHeader>
					<xsl:attribute name="display">
						<xsl:value-of select="$strChangeControllerMode"/>
					</xsl:attribute>
				</SubHeader>
				<Row>
					<Data name="Mode" type="radio" align="left">
						<xsl:attribute name="value">
							<xsl:value-of select="$strRAID"/>
						</xsl:attribute>
						<xsl:attribute name="returnvalue">
							<xsl:value-of select="$strRetValRaid"/>
						</xsl:attribute>
					</Data>
				</Row>
				<xsl:choose>
					<xsl:when test="substring(/OMA/Controllers/DCStorageObject/MasterMethodMask1,23,1)='0' ">
						<Row>
							<Data name="Mode" type="radio" align="left">
								<xsl:attribute name="value">
									<xsl:value-of select="$strHBA"/>
								</xsl:attribute>
								<xsl:attribute name="returnvalue">
									<xsl:value-of select="$strRetValHBA"/>
								</xsl:attribute>
							</Data>
						</Row>
					</xsl:when>
					<xsl:otherwise>
						<Row>
							<Data name="Mode" type="radio" align="left">
								<xsl:attribute name="value">
									<xsl:value-of select="$strEnhancedHBA"/>
								</xsl:attribute>
								<xsl:attribute name="returnvalue">
									<xsl:value-of select="$strRetValEnhancedHBA"/>
								</xsl:attribute>
							</Data>
						</Row>
					</xsl:otherwise>
				</xsl:choose>		
				
				</TableData>
			</ComboData>

		<script language="javascript">

			var selectedIndex;
			var numPersonalityState=<xsl:value-of select="$GLOBAL_VAR_PersonalityState"/>;
			function initializationRoutine() 
			{
				var RadioArray = document.getElementsByName("Mode");
				if( numPersonalityState == 2)
				{
					// selecting HBA if personality state is 2
					RadioArray [1].checked = true;
					selectedIndex = 1;
				}
				else if( numPersonalityState == 8)
				{
					// selecting Enhanced HBA if personality state is 8
					RadioArray [1].checked = true;
					selectedIndex = 1;
				}
				else
				{
					// selecting RAID if personality state is not 2
					RadioArray [0].checked = true;
					selectedIndex = 0;
				}
			}
			function validate()
			{
				var RadioArray = document.getElementsByName("Mode");
				var strError = "<xsl:value-of select="$strError"/>";
				var currentValue = 0;
				for(var i=0;i&lt;RadioArray.length;i++)
				{
					if(RadioArray [i].checked)
					{
						currentValue = RadioArray [i].value;
						if( selectedIndex == i)
						{
							alert("<xsl:value-of select="$strAlreadySelectedControllerMode"/>");
							return true;
						}
						
					}
				}
                
                //validating if encryption is enabled on the controller
				var isEncryptionKeyPresent=<xsl:value-of select="$GLOBAL_VAR_EncryptionKeyStatus"/>;
				
				//For eHBA currentValue = 8, allow the change. Fix for JIT-163615.
				if(isEncryptionKeyPresent &gt; 0 &amp;&amp; currentValue != 8)
				{
					alert(strError + "<xsl:value-of select="$strCtrlSecurityKeyPresent"/>");
					return false;
				}
                
				// validating if any hotspare disk exists on the controller.
				var ISGHSAssigned = <xsl:value-of select="$GLOBAL_VAR_ISHOTSPAREASSIGNED"/>;
				if(ISGHSAssigned &gt; 0)
				{
					alert(strError + "<xsl:value-of select="$strDHSDiskPresent"/>");
					return false;
				}
				//validating if any preserved cache exists on the controller
				var isPreservedCacheStatusYes=<xsl:value-of select="$GLOBAL_VAR_isPreservedCacheStatusYes"/>;
				if(isPreservedCacheStatusYes &gt; 0)
				{
					alert(strError + "<xsl:value-of select="$strPreservedCachePresent"/>");
					return false;
				}
				//validating if any EPD PT exists on the controller. eHBA changes
				var numEPDPTs=<xsl:value-of select="$GLOBAL_VAR_NumEPDPTs"/>;
				if(numEPDPTs &gt; 0)
				{
					alert(strError + "<xsl:value-of select="$strCtrlEPDPTPresent"/>");
					return false;
				}
				//validating if any VD exists on the controller
				var numVirtualDisks=<xsl:value-of select="$GLOBAL_VAR_NumVirtualDisks"/>;
				if(numVirtualDisks &gt; 0)
				{
					alert(strError + "<xsl:value-of select="$strCtrlVirtualDiskPresent"/>");
					return false;
				}
				
                //validating if any foreign config operation is pending on the controller
				var isForeignConfigExists=<xsl:value-of select="$GLOBAL_VAR_isForeignConfigExists"/>;
				if(isForeignConfigExists &gt; 0)
				{
					alert(strError + "<xsl:value-of select="$strForeignConfigExists"/>");
					return false;
				}
				
				
				if(confirm("<xsl:value-of select="$strUserInfoChangeMode"/>"))
				{
					disableButtons("submit","back" ,"");
					return true;
				}
				return false;
				
			}
		</script>

	</xsl:template>
</xsl:stylesheet>
